package com.sifang.modules.taskdispatch.service.autod.vo;

public class ItemTakeCtl {
    private volatile boolean bit = true;

    public boolean consume() {
        boolean ret = this.bit;
        this.bit = false;
        return ret;
    }

    public boolean get() {
        return this.bit;
    }

}
